CatalogSize Guides
Assign size guide
Assigns a size guide to exactly one product or category; a category assignment may include descendant categories.
POST
/v1/catalog/size-guides/{sizeGuideId}/assignmentsAssigns a size guide to exactly one product or category; a category assignment may include descendant categories.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Path Parameters
sizeGuideId*string
Identifier of the size guide.
Header Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/catalog/size-guides/7204558912004325301/assignments" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "targetType": "product", "targetId": "7204558912004325301", "includeChildrenCategories": false, "priority": 1 }'{ "id": "7204558912004325301"}